适配手机浏览器:UC 浏览器和夸克浏览器的坑

本文写于 2017 年 11 月 15 日。希望你永远也不会读到这篇文,
因为如果你通过搜索引擎搜到了这篇博客,说明你也踩坑了。说明他们还没有改进。

坑1:ES6 不支持。

最常见的就是 let, const, `符号, 这样的东西都不能用。
因为我这是 Rails 项目又不是什么全前端的项目,也没法简单的用 Babel 编译成 ES5 语法。所以只能手动去一个个改。还好地方也不多。

坑2:responsive 做的不好。

media query 不会覆盖,反而变成了某种奇怪的基准值
参考:
https://weibo.com/2004104451/FuJQHdaSs?from=page_1005052004104451_profile&wvr=6&mod=weibotime&type=comment#_rnd1510730953773

https://weibo.com/2004104451/FuJPc4p00?from=page_1005052004104451_profile&wvr=6&mod=weibotime&type=comment

适配手机浏览器:UC 浏览器和夸克浏览器的坑
Share this

Subscribe to 1c7 的博客